# scLTNN (single cell latent time neuron network)

[![Lifecycle:maturing](https://img.shields.io/badge/lifecycle-maturing-blue.svg)](https://www.tidyverse.org/lifecycle/#maturing)
[![bulid:passing](https://img.shields.io/appveyor/build/gruntjs/grunt)](https://img.shields.io/appveyor/build/gruntjs/grunt)
[![License:GPL](https://img.shields.io/badge/license-GPL-blue)](https://img.shields.io/apm/l/vim-mode)

**A composite regression neural network for latent timing prediction of single-cell RNA-seq data**

[![ltnn](ltnn.png)](ltnn.png)

For more details, please check out our [publication]().

## Directory structure

````
```
.
├── scLTNN                  # Main Python package
├── data                    # Data files
├── experiments             # Experiments and case studies
├── docs                    # Documentation files
├── LICENSE
└── README.md
```
````

## Installation

The `scLTNN` package can be installed via pip: 

```
pip install scltnn
```

## Usage

Please checkout the documentations and tutorials at scltnn.readthedocs.io.

## Reproduce results

1. Follow instructions in `data` to prepare the necessary data
2. Follow instructions in `experiments` for case studies


